Subject: Re: bug#25004: Bug in OD utility

From: Assaf Gordon <[email-masked]>
Date: Sun, 28 Oct 2018 01:25:27 -0600

close 25004
stop

(triaging old bugs)

On 2016-11-23 9:49 p.m., Jim Meyering wrote:
> On Wed, Nov 23, 2016 at 5:16 PM, Marcel Böhme <[email-masked]> wrote:
>>
>>> On 24 Nov 2016, at 8:45 AM, Pádraig Brady <[email-masked]> wrote:
>>>
>>> I can't reproduce the issue here BTW with ASAN and running in a tight
>>> loop for a few minutes.  So perhaps it has been fixed in glibc already?
>>> I have glibc-2.22-10.fc23.x86_64
>>> Depending on how widespread the issue is will determine if it's worth
>>> adding the check to gnulib.
>>
>> I can reproduce the crash on Ubuntu 14.04 x86_64 with preinstalled od version 8.21 and the version in trunk.
>>
>>> What libc are you using?
>>
>> $ /lib/x86_64-linux-gnu/libc.so.6
>> GNU C Library (Ubuntu EGLIBC 2.19-0ubuntu6.9) stable release version 2.19, by Roland McGrath et al.
>> Copyright (C) 2014 Free Software Foundation, Inc.
> ...
>> Compiled by GNU CC version 4.8.4.
> ...
> 
> Both gcc-4.8.4 and EGLIBC 2.19 are showing their age.
> I too have failed to reproduce this. I used a Fedora 25 system, which
> has glibc-2.24.

Given the above (and other comments in the thread indicating it's
a too-old-glibc issue), I'm closing this bug.
Discussion can continue by replying to this thread.

-assaf